module resultados

! objetivo: mostrar listagem e gráfico dos resultados

use variaveis

implicit none

contains

!-------------------------------------------------------------------------------

  subroutine visualizacao

    call richardson_depend 
    
    call richardson_independ 

  end subroutine visualizacao

!-------------------------------------------------------------------------------

  subroutine richardson_depend 
  
    open(out_depend,file=trim(adjustl(titulo))//'_depend'//'.Richardson_3p0')
    write(out_depend,12) h , Y2, Y4, Y6, Y8, Y10, cpu1

    12 format(  2x, 1pe40.32, 2x, 'h           (adim.)',/, &
             ' 1 ', 1pe40.32, 2x, 'Variável dependende - valor interpolado (Int. Pol. Pp=2)',/, &
             ' 2 ', 1pe40.32, 2x, 'Variável dependende - valor interpolado (Int. Pol. Pp=4)',/, &
             ' 3 ', 1pe40.32, 2x, 'Variável dependende - valor interpolado (Int. Pol. Pp=6)',/, &
             ' 4 ', 1pe40.32, 2x, 'Variável dependende - valor interpolado (Int. Pol. Pp=8)',/, &
             ' 5 ', 1pe40.32, 2x, 'Variável dependende - valor interpolado (Int. Pol. Pp=10)',/, &
             ' Tempo de processamento (s) = ', 1pe40.32, 2x)
    
    close(out_depend)

    note_caso = 'notepad '// trim(adjustl(titulo))//'_depend'//'.Richardson_3p0'
    dos = system(note_caso) ! lista arquivo das variáveis de interesse
    
   end subroutine richardson_depend 
   
   
   !---------------------------------------------------------------------------------------------------
   
     subroutine richardson_independ 
  
    open(out_independ,file=trim(adjustl(titulo))//'_independ'//'.Richardson_3p0')
    write(out_independ,13) h , r2, r4, r6, r8, r10

    13 format(  2x, 1pe40.32, 2x, 'h           (adim.)',/, &
             ' 1 ', 1pe40.32, 2x, 'Variável independende - valor interpolado (Int. Pol. Pp=2)',/, &
             ' 2 ', 1pe40.32, 2x, 'Variável independende - valor interpolado (Int. Pol. Pp=4)',/, &
             ' 3 ', 1pe40.32, 2x, 'Variável independende - valor interpolado (Int. Pol. Pp=6)',/, &
             ' 4 ', 1pe40.32, 2x, 'Variável independende - valor interpolado (Int. Pol. Pp=8)',/, &
             ' 5 ', 1pe40.32, 2x, 'Variável independende - valor interpolado (Int. Pol. Pp=10)')
   
   close(out_independ)

    note_caso = 'notepad '// trim(adjustl(titulo))//'_independ'//'.Richardson_3p0'
    dos = system(note_caso) ! lista arquivo das variáveis de interesse
    
   end subroutine richardson_independ 

end module resultados